<h4>Formularios <small> Aproximacion por TEMPLATE </small></h4>
<hr>
<form autocomplete="off" (ngSubmit)="guardar( f )" #f="ngForm">

    <div>

        <div class="form-group row">
            <label class="col-2 col-form-label">Nombre</label>
            <div class="col-8">
                <input class="form-control" type="text" name="name" placeholder="Nombre" required [ngModel]="user.name" minlength="5" #name="ngModel" [class.is-invalid]="name.invalid && name.touched">
                <small *ngIf="name.invalid && name.touched" class="form-text text-danger">Ingrese 5 leatras</small>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-2 col-form-label">Apellido</label>
            <div class="col-8">

                <input class="form-control" type="text" name="lastname" placeholder="Apellido" required [ngModel]="user.lastname" minlength="5" #lastname="ngModel" [class.is-invalid]="lastname.invalid && lastname.touched">
                <small *ngIf="lastname.invalid && lastname.touched" class="form-text text-danger">Ingrese 5 leatras</small>
            </div>
        </div>

    </div>

    <div class="form-group row">
        <label class="col-2 col-form-label">Correo</label>
        <div class="col-8">
            <!-- [class.is-invalid] **** is-invalid es de BoostStrap      -->
            <input class="form-control" type="email" name="email" placeholder="Correo electrónico" required [ngModel]="user.email" #email="ngModel" [class.is-invalid]="email.invalid && email.touched" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$">
            <small *ngIf="email.invalid && email.touched" class="form-text text-danger">Ingrese correctamente el correo</small>
        </div>
    </div>

    <div class="form-group row">
        <label class="col-2 col-form-label">Pais</label>
        <div class="col-8">
            <select class="form-control" name="country" required [ngModel]="user.country" [disabled]="countries.length === 0" #country="ngModel" [class.is-invalid]="country.invalid && country.touched">
                <option *ngFor="let country of countries" [value]="country.codigo">{{ country.name }} </option>                
            </select>
            <small *ngIf="country.invalid && country.touched" class="form-text text-danger">Seleecione Pais</small>

        </div>
    </div>


    <div class="form-group row">
        <label class="col-2 col-form-label">Sexo</label>
        <div class="col-8">

            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="gnre" required [ngModel]="user.sex" value="F" #sex="ngModel" [class.is-invalid]="sex.invalid && sex.touched">
                <label class="form-check-label">Femenino</label>
            </div>

            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="gnre" required [ngModel]="user.sex" value="M" #sex="ngModel" [class.is-invalid]="sex.invalid && sex.touched">
                <label class="form-check-label">Masculino</label>
            </div>
            <br>
            <small *ngIf="sex.invalid && sex.touched" class="form-text text-danger">Seleecione</small>

        </div>


    </div>




    <div class="form-group row">
        <label class="col-2 col-form-label">&nbsp;</label>
        <div class="input-group col-md-8">
            <button type="submit" class="btn btn-outline-primary btn-block">
        Guardar
      </button>
        </div>
    </div>

</form>